#### 7.10.6.16 ncrepAdd

Procedure from library `ncrat.lib` (see ncrat_lib).

Usage:
  ncrep s = ncrepAdd(q, r);
  q, r both of type ncrep

Return:
  representation s of h = f + g
  if q, r are representations of f, g

Note:
  operator '+' for ncrep is overloaded
  with this procedure, hence
  ncrep s = q + r;
  yields the same result as
  ncrep s = ncrepAdd(q, r);

Example:

    LIB "ncrat.lib";
    ncInit(list("x", "y", "z"));
    ncrat f = ncratFromString("x");
    ncrat g = ncratFromString("y");
    ncrep q = ncrepGet(f);
    ncrep r = ncrepGet(g);
    ncrep s1, s2;
    s1 = ncrepAdd(q, r);
    print(s1);
    ==> lvec=
    ==> 0,1,0,1
    ==>
    ==> mat=
    ==> x, -1,0, 0,
    ==> -1,0, 0, 0,
    ==> 0, 0, y, -1,
    ==> 0, 0, -1,0
    ==>
    ==> rvec=
    ==> 0,
    ==> 1,
    ==> 0,
    ==> 1
    s2 = q + r;
    print(s2);
    ==> lvec=
    ==> 0,1,0,1
    ==>
    ==> mat=
    ==> x, -1,0, 0,
    ==> -1,0, 0, 0,
    ==> 0, 0, y, -1,
    ==> 0, 0, -1,0
    ==>
    ==> rvec=
    ==> 0,
    ==> 1,
    ==> 0,
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.